# org.springframework.orm.hibernate4

## Classes

- HibernateExceptionTranslator
- HibernateTransactionManager
- LocalSessionFactoryBean
- LocalSessionFactoryBuilder
- SessionFactoryUtils
- SessionHolder
- SpringJtaSessionContext
- SpringSessionContext

## Exceptions

- HibernateJdbcException
- HibernateObjectRetrievalFailureException
- HibernateOptimisticLockingFailureException
- HibernateQueryException
- HibernateSystemException